Text to speech

Synthesize multilingual speech

Convert up to 10,000 characters of text into a complete WAV file using one of OrbitalsAI's 19 supported languages.

POST
/api/v1/tts/synthesize

Authorization

Authorization
Required
Bearer <token>

In: header

Request Body

application/jsonRequired

language
Required
Language

Language used for pronunciation and voice conditioning.

Value in: "Afrikaans" | "Amharic" | "Arabic" | "English" | "French" | "German" | "Hausa" | "Igbo" | "Isixhosa" | "Italian" | "Kinyarwanda" | "Sesotho" | "Setswana" | "Shona" | "Spanish" | "Swahili" | "Twi" | "Yoruba" | "Zulu"

text
Required
Text

Text to synthesize. Limited to 10,000 Unicode characters.

Minimum length: 1Maximum length: 10000
curl -X POST "https://api.orbitalsai.com/api/v1/tts/synthesize" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "language": "Hausa",
    "text": "Sannu, muna maraba da ku."
  }'

Generated PCM WAV audio.

Guide

Text-to-speech guide